Agent Flows
Create flow
Create a new flow for an agent.
POST
/
v1
/
senders
/
{senderId}
/
agent
/
flows
Create flow
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/agent/flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "Lead Capture",
"description": "Capture lead information",
"trigger": {
"type": "keyword",
"keywords": [
"info",
"pricing",
"demo"
]
},
"steps": [
{
"id": "welcome",
"type": "message",
"config": {
"text": "Thanks for your interest! Let me get some info."
},
"nextStepId": "ask_name"
},
{
"id": "ask_name",
"type": "collect",
"config": {
"variable": "name",
"prompt": "What's your name?"
}
}
]
}
EOFimport requests
url = "https://api.zavu.dev/v1/senders/{senderId}/agent/flows"
payload = {
"name": "Lead Capture",
"description": "Capture lead information",
"trigger": {
"type": "keyword",
"keywords": ["info", "pricing", "demo"]
},
"steps": [
{
"id": "welcome",
"type": "message",
"config": { "text": "Thanks for your interest! Let me get some info." },
"nextStepId": "ask_name"
},
{
"id": "ask_name",
"type": "collect",
"config": {
"variable": "name",
"prompt": "What's your name?"
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Lead Capture',
description: 'Capture lead information',
trigger: {type: 'keyword', keywords: ['info', 'pricing', 'demo']},
steps: [
{
id: 'welcome',
type: 'message',
config: {text: 'Thanks for your interest! Let me get some info.'},
nextStepId: 'ask_name'
},
{
id: 'ask_name',
type: 'collect',
config: {variable: 'name', prompt: 'What\'s your name?'}
}
]
})
};
fetch('https://api.zavu.dev/v1/senders/{senderId}/agent/flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flow": {
"id": "<string>",
"agentId": "<string>",
"name": "<string>",
"trigger": {
"keywords": [
"<string>"
],
"intent": "<string>"
},
"steps": [
{
"id": "<string>",
"config": {},
"nextStepId": "<string>"
}
],
"enabled": true,
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Flow created.
Show child attributes
Show child attributes
⌘I
Create flow
